Request applicant check

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this method to check the specified applicant profile in accordance with the verification level settings.

Upon requesting the check, the profile receives a Pending status and is sent to us for verification.

For example, you can request a check when you believe a mistake was made by the system during the previous check, or you are sending the applicant documents via the API and would like us to check the profile.

📘

Note

You cannot use this method for profiles that are in pending, queued, or prechecked statuses.

😀

Did you know?

You can also initiate a check from the Dashboard.

Request example

curl -X POST \
  'https://api.sumsub.com/resources/applicants/5b73b82f0a975a3b46429758/status/pending?reason=someReason' \
  -H 'X-App-Token: <your-app-token>' \
  -H 'X-App-Access-Sig: <your-signature>' \
  -H 'X-App-Access-Ts: <unix-timestamp>'

Response explained

If the request is successfully sent and processed, you will get the following response:

{
  "ok": 1
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "description": "Not all required documents or data are submitted. Make sure to complete [QUESTIONNAIRE] verification steps beforehand.",
  "code": 409,
  "correlationId": "3f37fccd332c3f7f7df4fb834ffe5b70"
}

In case of the HTTP response 200, you may ignore the response body.


Path Params
string
required

Unique applicant identifier in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Query Params
string

Submit a note explaining the reason (if available) for checking the applicant profile. The note will help us understand why another check is required for this applicant.

⚠️ Mind that a note must be URL encoded.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!